normalization {KODAMA} | R Documentation

## Normalization Methods

### Description

Collection of Different Normalization Methods.

### Usage

    normalization(Xtrain,Xtest=NULL, method = "pqn",ref=NULL)

### Arguments

`Xtrain` | a matrix of data (training data set).
`Xtest` | a matrix of data (test data set).(by default = NULL).
`method` | the normalization method to be used. Choices are "`none`", "`pqn`", "`sum`", "`median`", "`sqrt`" (by default = "`pqn`"). A partial string sufficient to uniquely identify the choice is permitted.
`ref` | Reference sample for Probabilistic Quotient Normalization. (by default = NULL).

### Details

A number of different normalization methods are provided:

- "`none`": no normalization method is applied.

- "`pqn`": the Probabilistic Quotient Normalization is computed as described in Dieterle, et al. (2006).

- "`sum`": samples are normalized to the sum of the absolute value of all variables for a given sample.

- "`median`": samples are normalized to the median value of all variables for a given sample.

- "`sqrt`": samples are normalized to the root of the sum of the squared value of all variables for a given sample.

### Value

The function returns a list with 2 items or 4 items (if a test data set is present):

`newXtrain` | a normalized matrix (training data set).
`coeXtrain` | a vector of normalization coefficient of the training data set.
`newXtest` | a normalized matrix (test data set).
`coeXtest` | a vector of normalization coefficient of the test data set.

### Author(s)

Stefano Cacciatore and Leonardo Tenori

### References

Dieterle F,Ross A, Schlotterbeck G, Senn H.
Probabilistic Quotient Normalization as Robust Method to Account for Diluition of Complex Biological Mixtures. Application in 1H NMR Metabolomics.
Anal Chem 2006;78:4281-90.
Cacciatore S, Luchinat C, Tenori L
Knowledge discovery by accuracy maximization.
Proc Natl Acad Sci U S A 2014;111(14):5117-22. doi: 10.1073/pnas.1220873111. Link
Cacciatore S, Tenori L, Luchinat C, Bennett PR, MacIntyre DA
KODAMA: an updated R package for knowledge discovery and data mining.
Bioinformatics 2017;33(4):621-623. doi: 10.1093/bioinformatics/btw705. Link

### See Also

`scaling`

### Examples

    data(MetRef)
    u=MetRef$data;
    u=u[,-which(colSums(u)==0)]
    u=normalization(u)$newXtrain
    u=scaling(u)$newXtrain
    class=as.numeric(as.factor(MetRef$gender))
    cc=pca(u)
    plot(cc$x,pch=21,bg=class,xlab=cc$txt[1],ylab=cc$txt[2])

[Package KODAMA version 1.5 Index]